Summary:	The Eye of GNOME image viewer
Name:     	eog
Version:	2.32.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/projects/eog/

BuildRequires:	glib2-devel >= 2.25.6
BuildRequires:	libGConf2-devel >= 2.31.1
BuildRequires:	librsvg-devel >= 2.0.0
BuildRequires:	lcms-devel
BuildRequires:	scrollkeeper >= 0.3
BuildRequires:	libexif-devel
BuildRequires:	libjpeg-devel
BuildRequires:	exempi-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python-devel
BuildRequires:	libgnome-desktop-2-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.40.0
Requires:	librsvg
Requires:	gnome-icon-theme
Requires:	pygtk2.0
Requires:	gnome-python-gnomevfs

%description
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

%package devel
Group:		Development/C
Summary:	C headers needed to build EOG plugins

%description devel
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

Install this if you want to build EOG plugins.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

# needed otherwise gconf database installation will fail
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name} --with-gnome

for omf in %{buildroot}%{_datadir}/omf/eog/eog-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/eog-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %name.lang
done

rm -rf %{buildroot}%{_libdir}/eog/plugins/*a \
   %{buildroot}/var/lib/scrollkeeper

%clean
rm -rf %{buildroot}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
#%{_datadir}/glib-2.0/schemas/org.gnome.eog.gschema.xml
%{_datadir}/eog
%{_datadir}/icons/hicolor/*/*/*
%dir %{_datadir}/omf/eog
%{_datadir}/omf/eog/*-C.omf
%dir %{_libdir}/eog
%dir %{_libdir}/eog/plugins
%{_libdir}/eog/plugins/fullscreen.eog-plugin
%{_libdir}/eog/plugins/reload.eog-plugin
%{_libdir}/eog/plugins/statusbar-date.eog-plugin
%{_libdir}/eog/plugins/*.so*

%files devel
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/eog-2.20
%{_libdir}/pkgconfig/eog.pc
%{_datadir}/gtk-doc/html/eog


%changelog
* Sun Feb 20 2011 wally <wally> 2.32.1-2.mga1
+ Revision: 54503
- drop buildroot definition
- drop old mdv scriptlets
- clean .spec a bit
- imported package eog


* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597841
- update to new version 2.32.1

* Tue Nov 02 2010 Funda Wang <fwang@mandriva.org> 2.32.0-2mdv2011.0
+ Revision: 592092
- rebuild for py2.7

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581609
- update to new version 2.32.0

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578364
- update to new version 2.31.92

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574552
- update to new version 2.31.91

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 570819
- update to new version 2.31.90

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 2.31.5-1mdv2011.0
+ Revision: 566141
- new version
- update deps

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 550832
- update to new version 2.30.2

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539447
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528947
- update to new version 2.30.0

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509949
- update to new version 2.29.91

* Wed Feb 10 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 503751
- update to new version 2.29.90

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-2mdv2010.1
+ Revision: 490510
- rebuild for new libgnome-desktop

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 490059
- update to new version 2.29.5

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.29.3-2mdv2010.1
+ Revision: 488751
- rebuilt against libjpeg v8

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 475432
- update to new version 2.29.3

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458837
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446728
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437404
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420757
- update to new version 2.27.91

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.27.90-2mdv2010.0
+ Revision: 416653
- rebuilt against libjpeg v7

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 415694
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 402009
- update to new version 2.27.5

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395920
- update to new version 2.27.4

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 386341
- update to new version 2.27.3

* Tue May 26 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 379905
- update to new version 2.27.2

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374193
- new version

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366953
- update to new version 2.26.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356216
- update to new version 2.26.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347810
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341259
- update to new version 2.25.91

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336940
- update to new version 2.25.90

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 331573
- update build deps
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325314
- update to new version 2.25.4

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 2.25.3-2mdv2009.1
+ Revision: 319939
- rebuild for new python

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315777
- update to new version 2.25.3

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 308994
- update to new version 2.25.2
- drop libglade dep

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299527
- update to new version 2.25.1

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295934
- update to new version 2.24.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287324
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282910
- new version

* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278808
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-2mdv2009.0
+ Revision: 273790
- bump release
- new version

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263670
- New version 2.23.6

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240056
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4.1-1mdv2009.0
+ Revision: 230965
- new version
- update buildrequires
- update file list

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230532
- new version
- update license
- update buildrequires
- fix buildrequires

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211686
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192473
- new version

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 185221
- build with exempi support

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183385
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175062
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 165706
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 151756
- new version
- drop patches

* Thu Jan 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.3-2mdv2008.1
+ Revision: 142729
- Fix BuildRequires to ensure python support is enabled
- Fix project url
- Patch0 (SVN): fix color profile loading from EXIF
- Patch1: fix screen profile reading (GNOME bug #507068)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 131602
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fwang@mandriva.org>
    - desktop-file-utils is not needed any more
    - drop old menu

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 115275
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 103629
- new version

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98864
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89347
- new version

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79045
- new version
- fix buildrequires

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 72380
- new version
- update file list

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 63323
- fix buildrequires
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 50874
- new version
- update deps
- update file list
- new version
- add devel package
- update buildrequires

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32163
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14375
- new version


* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0.1-1mdv2007.1
+ Revision: 142146
- new version

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141419
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 125977
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120046
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112082
- new version
- add icons

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 109553
- glib rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 99079
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 90782
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 87539
- new version

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 85965
- new version

* Sat Oct 21 2006 Götz Waschk <waschk@mandriva.org> 2.16.1.1-1mdv2007.0
+ Revision: 71525
- new version
  update file list
- Import eog

* Sun Oct 01 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0.1-1mdv2007.0
- New release 2.16.0.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Thu Jul 13 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- xdg menu
- New release 2.15.4

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1
- New release 2.15.3

* Thu Jun 08 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- fix buildrequires

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdk
- New release 2.14.2

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- fix installation
- New release 2.12.2

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Sat Apr 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package) :

* Thu Dec 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- fix buildrequires
- New release 2.8.2

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patch0 (no longer relevant)

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Patch0 : fix printing (Mdk bug #10451)

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix file section
- New release 2.6.1

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)

